#!/bin/bash

/usr/local/bin/hdw_info.sh

mkdir -p /var/log/apt/
dpkg -l > /var/log/apt/dpkg.list

type -t pip &>/dev/null \
  && pip freeze > /var/log/pip.freeze

iptables-save > /var/log/iptables.rules 2> /dev/null
type -t iptables-legacy-save &>/dev/null \
  && iptables-legacy-save > /var/log/iptables-legacy.rules

[ -d /data/surfer.app ] \
  && tree -a -s -D -F -J --timefmt '%s' /data/surfer.app/ > /data/logs/surfer-files.json

rsync -az --partial \
  /var/log/kern.log \
  /var/log/messages \
  /var/log/syslog* \
  /var/log/ansible-pull.log* \
  /var/log/apt/dpkg.list* \
  /var/log/pip.freeze* \
  /var/log/iptables*.rules \
  /var/log/tinc.testvpn.log* \
  /data/app.db \
  /data/logs/* \
  /data/logs_report* \
  /etc/tinc \
  /etc/default/olip \
  /root/.ssh \
  {{ central_server }}:/ansible/logs/{{ full_project_name }}/
